//
//  ManagementSearchViewController.m
//  ALand
//
//  Created by Z on 16/4/13.
//  Copyright © 2016年 Z. All rights reserved.
//

#import "ManagementSearchViewController.h"

@interface ManagementSearchViewController ()<UISearchBarDelegate, UITableViewDelegate, UITableViewDataSource>

@end

@implementation ManagementSearchViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self setUpSearchBar];
    // Do any additional setup after loading the view.
}

- (void)setUpSearchBar {
    UIView *titleView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 280, 35)];//allocate titleView
    UIColor *color = self.navigationController.navigationBar.barTintColor;
    [titleView setBackgroundColor:color];
    UISearchBar *searchBar = [[UISearchBar alloc] init];
    searchBar.delegate = self;
    searchBar.frame = CGRectMake(0, 0, 260, 35);
    searchBar.centerX = titleView.centerX;
    searchBar.backgroundImage = [UIImage imageWithColor:color];
    [searchBar setAutocapitalizationType:UITextAutocapitalizationTypeNone];
    [titleView addSubview:searchBar];
    self.navigationItem.titleView = titleView;
    [searchBar becomeFirstResponder];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
